> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# View details of a Cloud Connect attachment

GET https://iot.telia.lt/api/v1/cnc/breakout/{cloudconnect_attachment_id}

Displays the details including configured CIDR blocks of a Cloud Connect Attachment.

For active IPSec VPN attachments, the tunnel information (public IP, outisde address, inside CIDR, PSK, ASN)
including metrics over the last hour (tunnel state, bytes in/out) will be displayed as well.


Reference: https://docs.iot.telia.lt/developers/api/cloud-connect/get-cloud-connect-attachment-by-id

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `cloudconnect_attachment_id` (double, required) — Numerical ID of a Cloud Connect attachment

## Response

### 200

OK

- `list of ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItems`

## Errors

### 403 Forbidden Error

Your role doesn't include the permission this endpoint requires. Most endpoints return `error_code`, `error_token`, and `message`. Some return only `status_code` and `message`.

- `error_code` (integer, optional)
- `error_token` (string, optional)
- `status_code` (integer, optional)
- `message` (string, optional)

## Types

### ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItems

- `id` (integer, optional)
- `name` (string, optional)
- `description` (string, optional)
- `user_id` (integer, optional)
- `creation_date` (string, optional) — The date this attachment was created in UTC
- `accept_attachment_expiry_date` (string, optional) — The expiry date of the accept attachment state in UTC. This will only be returned if the breakout is of type `Transit Gateway (type_id: 1)` and in Status `Pending AWS Actvation (status_id: 2)`
- `termination_date` (string, optional)
- `aws_transit_gateway_attachment_id` (string, optional)
- `aws_vpn_connection_id` (string, optional) — This is only set when the breakout is a VPN attachment
- `status` (ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItemsStatus, optional)
- `type` (ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItemsType, optional)
- `region` (string, optional) — The customer region that this attachment belongs to
- `tunnel_information` (ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItemsTunnelInformation, optional)

### ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItemsStatus

- `id` (double, optional)
- `description` (string, optional)

### ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItemsType

- `id` (double, optional)
- `description` (string, optional)

### ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItemsTunnelInformation

- `outside_address` (string, optional)
- `inside_cidr` (string, optional)
- `metrics` (ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItemsTunnelInformationMetrics, optional)
- `asn` (double, optional)
- `public_ip` (string, optional)

### ApiV1CncBreakoutCloudconnectAttachmentIdGetResponsesContentApplicationJsonSchemaItemsTunnelInformationMetrics

- `tunnel_state` (string, optional)
- `bytes_in` (map from string to double, optional)
- `bytes_out` (map from string to double, optional)

## Examples

**Response**

```json
[
  {
    "id": 123,
    "name": "Attachment to dynamic VPN",
    "description": "Description for Attachment to dynamic VPN",
    "user_id": 123,
    "creation_date": "2019-10-22T10:07:45.000Z",
    "termination_date": null,
    "aws_transit_gateway_attachment_id": "tgw-attach-00efd80dc6288e61a",
    "aws_vpn_connection_id": "vpn-06aa01dfec8d0060f",
    "status": {
      "id": 5,
      "description": "Active"
    },
    "type": {
      "id": 3,
      "description": "IPSec VPN BGP"
    },
    "region": "eu-west-1",
    "tunnel_information": {
      "0": {
        "asn": 65000,
        "inside_cidr": "169.254.59.80/30",
        "metrics": {
          "bytes_in": {
            "Tue Oct 22 2019 10:24:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 10:29:00 GMT+0000 (Coordinated Universal Time)": 336,
            "Tue Oct 22 2019 10:34:00 GMT+0000 (Coordinated Universal Time)": 294,
            "Tue Oct 22 2019 10:39:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 10:44:00 GMT+0000 (Coordinated Universal Time)": 294,
            "Tue Oct 22 2019 10:49:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 10:54:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 10:59:00 GMT+0000 (Coordinated Universal Time)": 294,
            "Tue Oct 22 2019 11:04:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 11:09:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 11:14:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 11:19:00 GMT+0000 (Coordinated Universal Time)": 210
          },
          "bytes_out": {
            "Tue Oct 22 2019 10:24:00 GMT+0000 (Coordinated Universal Time)": 1616,
            "Tue Oct 22 2019 10:29:00 GMT+0000 (Coordinated Universal Time)": 1520,
            "Tue Oct 22 2019 10:34:00 GMT+0000 (Coordinated Universal Time)": 1700,
            "Tue Oct 22 2019 10:39:00 GMT+0000 (Coordinated Universal Time)": 1394,
            "Tue Oct 22 2019 10:44:00 GMT+0000 (Coordinated Universal Time)": 1700,
            "Tue Oct 22 2019 10:49:00 GMT+0000 (Coordinated Universal Time)": 1394,
            "Tue Oct 22 2019 10:54:00 GMT+0000 (Coordinated Universal Time)": 1616,
            "Tue Oct 22 2019 10:59:00 GMT+0000 (Coordinated Universal Time)": 1478,
            "Tue Oct 22 2019 11:04:00 GMT+0000 (Coordinated Universal Time)": 1616,
            "Tue Oct 22 2019 11:09:00 GMT+0000 (Coordinated Universal Time)": 1394,
            "Tue Oct 22 2019 11:14:00 GMT+0000 (Coordinated Universal Time)": 1616,
            "Tue Oct 22 2019 11:19:00 GMT+0000 (Coordinated Universal Time)": 1394
          },
          "tunnel_state": "down"
        },
        "outside_address": "198.51.100.1",
        "psk": "my-preshared-key",
        "public_ip": "192.0.2.1"
      },
      "1": {
        "asn": 65000,
        "inside_cidr": "169.254.53.156/30",
        "metrics": {
          "bytes_in": {
            "Tue Oct 22 2019 10:24:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 10:29:00 GMT+0000 (Coordinated Universal Time)": 336,
            "Tue Oct 22 2019 10:34:00 GMT+0000 (Coordinated Universal Time)": 294,
            "Tue Oct 22 2019 10:39:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 10:44:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 10:49:00 GMT+0000 (Coordinated Universal Time)": 294,
            "Tue Oct 22 2019 10:54:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 10:59:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 11:04:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 11:09:00 GMT+0000 (Coordinated Universal Time)": 210,
            "Tue Oct 22 2019 11:14:00 GMT+0000 (Coordinated Universal Time)": 294,
            "Tue Oct 22 2019 11:19:00 GMT+0000 (Coordinated Universal Time)": 210
          },
          "bytes_out": {
            "Tue Oct 22 2019 10:24:00 GMT+0000 (Coordinated Universal Time)": 1616,
            "Tue Oct 22 2019 10:29:00 GMT+0000 (Coordinated Universal Time)": 1520,
            "Tue Oct 22 2019 10:34:00 GMT+0000 (Coordinated Universal Time)": 1700,
            "Tue Oct 22 2019 10:39:00 GMT+0000 (Coordinated Universal Time)": 1394,
            "Tue Oct 22 2019 10:44:00 GMT+0000 (Coordinated Universal Time)": 1616,
            "Tue Oct 22 2019 10:49:00 GMT+0000 (Coordinated Universal Time)": 1478,
            "Tue Oct 22 2019 10:54:00 GMT+0000 (Coordinated Universal Time)": 1616,
            "Tue Oct 22 2019 10:59:00 GMT+0000 (Coordinated Universal Time)": 1394,
            "Tue Oct 22 2019 11:04:00 GMT+0000 (Coordinated Universal Time)": 1616,
            "Tue Oct 22 2019 11:09:00 GMT+0000 (Coordinated Universal Time)": 1394,
            "Tue Oct 22 2019 11:14:00 GMT+0000 (Coordinated Universal Time)": 1700,
            "Tue Oct 22 2019 11:19:00 GMT+0000 (Coordinated Universal Time)": 1394
          },
          "tunnel_state": "up"
        },
        "outside_address": "198.51.100.2",
        "psk": "my-preshared-key",
        "public_ip": "192.0.2.2"
      }
    },
    "customer_cidr": [
      "10.0.0.0/24"
    ],
    "organisation_id": 123
  }
]
```

**SDK Code**

```python Retrieved Cloud Connect Attachment
import requests

url = "https://iot.telia.lt/api/v1/cnc/breakout/1.1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Retrieved Cloud Connect Attachment
const url = 'https://iot.telia.lt/api/v1/cnc/breakout/1.1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Retrieved Cloud Connect Attachment
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v1/cnc/breakout/1.1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Retrieved Cloud Connect Attachment
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v1/cnc/breakout/1.1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Retrieved Cloud Connect Attachment
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v1/cnc/breakout/1.1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Retrieved Cloud Connect Attachment
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v1/cnc/breakout/1.1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Retrieved Cloud Connect Attachment
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v1/cnc/breakout/1.1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Retrieved Cloud Connect Attachment
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v1/cnc/breakout/1.1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```